SPECS: pearize.sh - use patterns for noautreqdep, there could be m...

glen glen at pld-linux.org
Sat Oct 15 15:56:02 CEST 2005


Author: glen                         Date: Sat Oct 15 13:56:02 2005 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- use patterns for noautreqdep, there could be more precise exclude in spec

---- Files affected:
SPECS:
   pearize.sh (1.26 -> 1.27) 

---- Diffs:

================================================================
Index: SPECS/pearize.sh
diff -u SPECS/pearize.sh:1.26 SPECS/pearize.sh:1.27
--- SPECS/pearize.sh:1.26	Sat Oct 15 15:41:28 2005
+++ SPECS/pearize.sh	Sat Oct 15 15:55:56 2005
@@ -105,9 +105,9 @@
 if [ -n "$optional" ]; then
 	echo "$optional" | while read tag dep; do
 		for req in $dep; do
-			m=$(grep "^%define.*_noautoreq" $spec | fgrep -o "$req" || :)
+			m=$(grep "^%define.*_noautoreq" $spec | grep -o "$req" || :)
 			if [ -z "$m" ]; then
-				sed -i -e "/^%define.*_noautoreq/s/$/ $req/" $spec
+				sed -i -e "/^%define.*_noautoreq/s,$, $req," $spec
 			fi
 		done
 	done
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SPECS/pearize.sh?r1=1.26&r2=1.27&f=u




More information about the pld-cvs-commit mailing list